import request from '@/apps/mobile/utils/request'

// 用户特权设置 分页获取
export function queryPagePrivilege(data) {
    return request({
        method: 'post',
        url: '/api/vipPrerogatives/query-page',
        data,
    });
}

// 新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/vipPrerogatives/insert',
        data,
    });
}

// 新增保存
export function addDataSave(data) {
    return request({
        method: 'post',
        url: '/api/vipPrerogatives/insert-save',
        data,
    });
}
// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/vipPrerogatives/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/vipPrerogatives/update',
        data,
    });
}


// 审批
export function examine(data) {
    return request({
        method: 'post',
        url: `/api/vipPrerogatives/examine`,
        data
    });
}

// 提交操作
export function submitData(id) {
    return request({
        method: 'post',
        url: `/api/vipPrerogatives/submit/${id}`,
    });
}